Bug 1566658 - [PRD][RFE] Ansible Next Gen - Playbook Seeding
Summary: [PRD][RFE] Ansible Next Gen - Playbook Seeding
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.2
Assignee: Greg McCullough
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On: 1539762
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 17:32 UTC by Satoe Imaishi
Modified: 2018-05-07 20:49 UTC (History)
11 users (show)

Fixed In Version: 5.9.2.3
Doc Type: Enhancement
Doc Text:
Clone Of: 1539762
Environment:
Last Closed: 2018-05-07 20:49:07 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 None None None 2018-05-07 20:49:33 UTC

Comment 2 CFME Bot 2018-04-12 17:37:30 UTC
New commit detected on ManageIQ/manageiq-content/gaprindashvili:

https://github.com/ManageIQ/manageiq-content/commit/3bc2d372216956eea3ff4f3b2584a8f3de4d31b8
commit 3bc2d372216956eea3ff4f3b2584a8f3de4d31b8
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Thu Apr 12 11:28:35 2018 -0400
Commit:     Jason Frey <fryguy9@gmail.com>
CommitDate: Thu Apr 12 11:28:35 2018 -0400

    Merge pull request #254 from syncrou/seed_ansible_playbooks

    Add in the miq. automate and vmdb roles
    (cherry picked from commit e045e8c31a30cee9c3f455da7f9221e7f30a504b)

    https://bugzilla.redhat.com/show_bug.cgi?id=1566658

 content/ansible/roles/manageiq-core.manageiq-automate/LICENSE | 201 +
 content/ansible/roles/manageiq-core.manageiq-automate/README.md | 249 +
 content/ansible/roles/manageiq-core.manageiq-automate/action_plugins/manageiq_automate.py | 55 +
 content/ansible/roles/manageiq-core.manageiq-automate/defaults/main.yml | 3 +
 content/ansible/roles/manageiq-core.manageiq-automate/examples/.gitkeep | 0 
 content/ansible/roles/manageiq-core.manageiq-automate/handlers/main.yml | 6 +
 content/ansible/roles/manageiq-core.manageiq-automate/library/manageiq_automate.py | 492 +
 content/ansible/roles/manageiq-core.manageiq-automate/meta/main.yml | 7 +
 content/ansible/roles/manageiq-core.manageiq-automate/tasks/main.yml | 6 +
 content/ansible/roles/manageiq-core.manageiq-automate/tests/inventory | 2 +
 content/ansible/roles/manageiq-core.manageiq-automate/tests/test.yml | 5 +
 content/ansible/roles/manageiq-core.manageiq-automate/vars/main.yml | 2 +
 content/ansible/roles/manageiq-core.manageiq-vmdb/LICENSE | 201 +
 content/ansible/roles/manageiq-core.manageiq-vmdb/README.md | 119 +
 content/ansible/roles/manageiq-core.manageiq-vmdb/action_plugins/manageiq_vmdb.py | 53 +
 content/ansible/roles/manageiq-core.manageiq-vmdb/defaults/main.yml | 2 +
 content/ansible/roles/manageiq-core.manageiq-vmdb/handlers/main.yml | 2 +
 content/ansible/roles/manageiq-core.manageiq-vmdb/library/manageiq_vmdb.py | 199 +
 content/ansible/roles/manageiq-core.manageiq-vmdb/meta/main.yml | 7 +
 content/ansible/roles/manageiq-core.manageiq-vmdb/tasks/main.yml | 1 +
 content/ansible/roles/manageiq-core.manageiq-vmdb/tests/inventory | 2 +
 content/ansible/roles/manageiq-core.manageiq-vmdb/tests/test.yml | 5 +
 content/ansible/roles/manageiq-core.manageiq-vmdb/vars/main.yml | 2 +
 23 files changed, 1621 insertions(+)

Comment 3 CFME Bot 2018-04-12 17:41:18 UTC
New commits detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/01375d9eecae8c3783d12e486ccb9944b90c9da5
commit 01375d9eecae8c3783d12e486ccb9944b90c9da5
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Wed Mar  7 16:21:21 2018 -0500
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Wed Mar  7 16:21:21 2018 -0500

    Merge pull request #17096 from syncrou/add_embedded_ansible_content_plugin

    Added Embedded Ansible Content plugin
    (cherry picked from commit 35f2f4e82a3a64fd8c307dee2ea9bd2929c0bcda)

    https://bugzilla.redhat.com/show_bug.cgi?id=1566658

 lib/vmdb/plugins.rb | 16 +-
 lib/vmdb/plugins/ansible_content.rb | 15 +
 2 files changed, 30 insertions(+), 1 deletion(-)


https://github.com/ManageIQ/manageiq/commit/cd10f5f723666562a53117e452cf3032634efec4
commit cd10f5f723666562a53117e452cf3032634efec4
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Apr  6 17:57:52 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Fri Apr  6 17:57:52 2018 -0400

    Merge pull request #17185 from jrafanie/seed_plugin_ansible_playbooks

    Seed plugin ansible playbooks
    (cherry picked from commit c9e7f02baccbc2c2ca3713b00b8787c84c5b0fe9)

    https://bugzilla.redhat.com/show_bug.cgi?id=1566658

 app/models/embedded_ansible_worker/object_management.rb | 88 +
 app/models/manageiq/providers/embedded_ansible/provider/default_ansible_objects.rb | 8 +
 lib/vmdb/plugins.rb | 1 +
 spec/models/embedded_ansible_worker_spec.rb | 44 +
 4 files changed, 141 insertions(+)

Comment 4 Dmitry Misharov 2018-04-23 15:09:02 UTC
Tested on 5.9.2.3.20180419182310_cab2891. Everything seems to work fine.

Comment 7 errata-xmlrpc 2018-05-07 20:49:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.